# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: AlarmService.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import sila2lib.framework.SiLAFramework_pb2 as SiLAFramework__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='AlarmService.proto',
  package='sila2.biovt.mw.tum.de.examples.alarmservice.v1',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x12\x41larmService.proto\x12.sila2.biovt.mw.tum.de.examples.alarmservice.v1\x1a\x13SiLAFramework.proto\"!\n\x1fGetAlarmLimitMaximum_Parameters\"`\n\x1eGetAlarmLimitMaximum_Responses\x12>\n\x18\x43urrentAlarmLimitMaximum\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"]\n\x1fSetAlarmLimitMaximum_Parameters\x12:\n\x14SetAlarmLimitMaximum\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x87\x01\n\x1eSetAlarmLimitMaximum_Responses\x12.\n\x06Status\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\x12\x35\n\rIndexPointing\x18\x02 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"!\n\x1fGetAlarmLimitMinimum_Parameters\"b\n\x1eGetAlarmLimitMinimum_Responses\x12@\n\x18\x43urrentAlarmLimitMinimum\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"]\n\x1fSetAlarmLimitMinimum_Parameters\x12:\n\x14SetAlarmLimitMinimum\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x87\x01\n\x1eSetAlarmLimitMinimum_Responses\x12.\n\x06Status\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\x12\x35\n\rIndexPointing\x18\x02 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x19\n\x17GetAlarmMode_Parameters\"R\n\x16GetAlarmMode_Responses\x12\x38\n\x10\x43urrentAlarmMode\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"P\n\x17SetAlarmMode_Parameters\x12\x35\n\x0cSetAlarmMode\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"\x7f\n\x16SetAlarmMode_Responses\x12.\n\x06Status\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\x12\x35\n\rIndexPointing\x18\x02 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x1f\n\x1dGetAlarmOutputMode_Parameters\"^\n\x1cGetAlarmOutputMode_Responses\x12>\n\x16\x43urrentAlarmOutputMode\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\\\n\x1dSetAlarmOutputMode_Parameters\x12;\n\x12SetAlarmOutputMode\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"\x85\x01\n\x1cSetAlarmOutputMode_Responses\x12.\n\x06Status\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\x12\x35\n\rIndexPointing\x18\x02 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"\x1d\n\x1bGetAlarmSetpoint_Parameters\"^\n\x1aGetAlarmSetpoint_Responses\x12@\n\x18\x43urrentAlarmSetpointMode\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\"X\n\x1bSetAlarmSetpoint_Parameters\x12\x39\n\x10SetAlarmSetpoint\x18\x01 \x01(\x0b\x32\x1f.sila2.org.silastandard.Integer\"\x83\x01\n\x1aSetAlarmSetpoint_Responses\x12.\n\x06Status\x18\x01 \x01(\x0b\x32\x1e.sila2.org.silastandard.String\x12\x35\n\rIndexPointing\x18\x02 \x01(\x0b\x32\x1e.sila2.org.silastandard.String2\x92\x0e\n\x0c\x41larmService\x12\xb9\x01\n\x14GetAlarmLimitMaximum\x12O.sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmLimitMaximum_Parameters\x1aN.sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmLimitMaximum_Responses\"\x00\x12\xb9\x01\n\x14SetAlarmLimitMaximum\x12O.sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmLimitMaximum_Parameters\x1aN.sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmLimitMaximum_Responses\"\x00\x12\xb9\x01\n\x14GetAlarmLimitMinimum\x12O.sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmLimitMinimum_Parameters\x1aN.sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmLimitMinimum_Responses\"\x00\x12\xb9\x01\n\x14SetAlarmLimitMinimum\x12O.sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmLimitMinimum_Parameters\x1aN.sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmLimitMinimum_Responses\"\x00\x12\xa1\x01\n\x0cGetAlarmMode\x12G.sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmMode_Parameters\x1a\x46.sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmMode_Responses\"\x00\x12\xa1\x01\n\x0cSetAlarmMode\x12G.sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmMode_Parameters\x1a\x46.sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmMode_Responses\"\x00\x12\xb3\x01\n\x12GetAlarmOutputMode\x12M.sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmOutputMode_Parameters\x1aL.sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmOutputMode_Responses\"\x00\x12\xb3\x01\n\x12SetAlarmOutputMode\x12M.sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmOutputMode_Parameters\x1aL.sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmOutputMode_Responses\"\x00\x12\xad\x01\n\x10GetAlarmSetpoint\x12K.sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmSetpoint_Parameters\x1aJ.sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmSetpoint_Responses\"\x00\x12\xad\x01\n\x10SetAlarmSetpoint\x12K.sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmSetpoint_Parameters\x1aJ.sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmSetpoint_Responses\"\x00\x62\x06proto3'
  ,
  dependencies=[SiLAFramework__pb2.DESCRIPTOR,])




_GETALARMLIMITMAXIMUM_PARAMETERS = _descriptor.Descriptor(
  name='GetAlarmLimitMaximum_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmLimitMaximum_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=91,
  serialized_end=124,
)


_GETALARMLIMITMAXIMUM_RESPONSES = _descriptor.Descriptor(
  name='GetAlarmLimitMaximum_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmLimitMaximum_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentAlarmLimitMaximum', full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmLimitMaximum_Responses.CurrentAlarmLimitMaximum', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=126,
  serialized_end=222,
)


_SETALARMLIMITMAXIMUM_PARAMETERS = _descriptor.Descriptor(
  name='SetAlarmLimitMaximum_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmLimitMaximum_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetAlarmLimitMaximum', full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmLimitMaximum_Parameters.SetAlarmLimitMaximum', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=224,
  serialized_end=317,
)


_SETALARMLIMITMAXIMUM_RESPONSES = _descriptor.Descriptor(
  name='SetAlarmLimitMaximum_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmLimitMaximum_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='Status', full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmLimitMaximum_Responses.Status', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='IndexPointing', full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmLimitMaximum_Responses.IndexPointing', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=320,
  serialized_end=455,
)


_GETALARMLIMITMINIMUM_PARAMETERS = _descriptor.Descriptor(
  name='GetAlarmLimitMinimum_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmLimitMinimum_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=457,
  serialized_end=490,
)


_GETALARMLIMITMINIMUM_RESPONSES = _descriptor.Descriptor(
  name='GetAlarmLimitMinimum_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmLimitMinimum_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentAlarmLimitMinimum', full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmLimitMinimum_Responses.CurrentAlarmLimitMinimum', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=492,
  serialized_end=590,
)


_SETALARMLIMITMINIMUM_PARAMETERS = _descriptor.Descriptor(
  name='SetAlarmLimitMinimum_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmLimitMinimum_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetAlarmLimitMinimum', full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmLimitMinimum_Parameters.SetAlarmLimitMinimum', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=592,
  serialized_end=685,
)


_SETALARMLIMITMINIMUM_RESPONSES = _descriptor.Descriptor(
  name='SetAlarmLimitMinimum_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmLimitMinimum_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='Status', full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmLimitMinimum_Responses.Status', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='IndexPointing', full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmLimitMinimum_Responses.IndexPointing', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=688,
  serialized_end=823,
)


_GETALARMMODE_PARAMETERS = _descriptor.Descriptor(
  name='GetAlarmMode_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmMode_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=825,
  serialized_end=850,
)


_GETALARMMODE_RESPONSES = _descriptor.Descriptor(
  name='GetAlarmMode_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmMode_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentAlarmMode', full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmMode_Responses.CurrentAlarmMode', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=852,
  serialized_end=934,
)


_SETALARMMODE_PARAMETERS = _descriptor.Descriptor(
  name='SetAlarmMode_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmMode_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetAlarmMode', full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmMode_Parameters.SetAlarmMode', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=936,
  serialized_end=1016,
)


_SETALARMMODE_RESPONSES = _descriptor.Descriptor(
  name='SetAlarmMode_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmMode_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='Status', full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmMode_Responses.Status', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='IndexPointing', full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmMode_Responses.IndexPointing', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1018,
  serialized_end=1145,
)


_GETALARMOUTPUTMODE_PARAMETERS = _descriptor.Descriptor(
  name='GetAlarmOutputMode_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmOutputMode_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1147,
  serialized_end=1178,
)


_GETALARMOUTPUTMODE_RESPONSES = _descriptor.Descriptor(
  name='GetAlarmOutputMode_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmOutputMode_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentAlarmOutputMode', full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmOutputMode_Responses.CurrentAlarmOutputMode', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1180,
  serialized_end=1274,
)


_SETALARMOUTPUTMODE_PARAMETERS = _descriptor.Descriptor(
  name='SetAlarmOutputMode_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmOutputMode_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetAlarmOutputMode', full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmOutputMode_Parameters.SetAlarmOutputMode', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1276,
  serialized_end=1368,
)


_SETALARMOUTPUTMODE_RESPONSES = _descriptor.Descriptor(
  name='SetAlarmOutputMode_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmOutputMode_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='Status', full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmOutputMode_Responses.Status', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='IndexPointing', full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmOutputMode_Responses.IndexPointing', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1371,
  serialized_end=1504,
)


_GETALARMSETPOINT_PARAMETERS = _descriptor.Descriptor(
  name='GetAlarmSetpoint_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmSetpoint_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1506,
  serialized_end=1535,
)


_GETALARMSETPOINT_RESPONSES = _descriptor.Descriptor(
  name='GetAlarmSetpoint_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmSetpoint_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentAlarmSetpointMode', full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmSetpoint_Responses.CurrentAlarmSetpointMode', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1537,
  serialized_end=1631,
)


_SETALARMSETPOINT_PARAMETERS = _descriptor.Descriptor(
  name='SetAlarmSetpoint_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmSetpoint_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='SetAlarmSetpoint', full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmSetpoint_Parameters.SetAlarmSetpoint', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1633,
  serialized_end=1721,
)


_SETALARMSETPOINT_RESPONSES = _descriptor.Descriptor(
  name='SetAlarmSetpoint_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmSetpoint_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='Status', full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmSetpoint_Responses.Status', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='IndexPointing', full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmSetpoint_Responses.IndexPointing', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1724,
  serialized_end=1855,
)

_GETALARMLIMITMAXIMUM_RESPONSES.fields_by_name['CurrentAlarmLimitMaximum'].message_type = SiLAFramework__pb2._REAL
_SETALARMLIMITMAXIMUM_PARAMETERS.fields_by_name['SetAlarmLimitMaximum'].message_type = SiLAFramework__pb2._REAL
_SETALARMLIMITMAXIMUM_RESPONSES.fields_by_name['Status'].message_type = SiLAFramework__pb2._STRING
_SETALARMLIMITMAXIMUM_RESPONSES.fields_by_name['IndexPointing'].message_type = SiLAFramework__pb2._STRING
_GETALARMLIMITMINIMUM_RESPONSES.fields_by_name['CurrentAlarmLimitMinimum'].message_type = SiLAFramework__pb2._STRING
_SETALARMLIMITMINIMUM_PARAMETERS.fields_by_name['SetAlarmLimitMinimum'].message_type = SiLAFramework__pb2._REAL
_SETALARMLIMITMINIMUM_RESPONSES.fields_by_name['Status'].message_type = SiLAFramework__pb2._STRING
_SETALARMLIMITMINIMUM_RESPONSES.fields_by_name['IndexPointing'].message_type = SiLAFramework__pb2._STRING
_GETALARMMODE_RESPONSES.fields_by_name['CurrentAlarmMode'].message_type = SiLAFramework__pb2._STRING
_SETALARMMODE_PARAMETERS.fields_by_name['SetAlarmMode'].message_type = SiLAFramework__pb2._INTEGER
_SETALARMMODE_RESPONSES.fields_by_name['Status'].message_type = SiLAFramework__pb2._STRING
_SETALARMMODE_RESPONSES.fields_by_name['IndexPointing'].message_type = SiLAFramework__pb2._STRING
_GETALARMOUTPUTMODE_RESPONSES.fields_by_name['CurrentAlarmOutputMode'].message_type = SiLAFramework__pb2._STRING
_SETALARMOUTPUTMODE_PARAMETERS.fields_by_name['SetAlarmOutputMode'].message_type = SiLAFramework__pb2._INTEGER
_SETALARMOUTPUTMODE_RESPONSES.fields_by_name['Status'].message_type = SiLAFramework__pb2._STRING
_SETALARMOUTPUTMODE_RESPONSES.fields_by_name['IndexPointing'].message_type = SiLAFramework__pb2._STRING
_GETALARMSETPOINT_RESPONSES.fields_by_name['CurrentAlarmSetpointMode'].message_type = SiLAFramework__pb2._STRING
_SETALARMSETPOINT_PARAMETERS.fields_by_name['SetAlarmSetpoint'].message_type = SiLAFramework__pb2._INTEGER
_SETALARMSETPOINT_RESPONSES.fields_by_name['Status'].message_type = SiLAFramework__pb2._STRING
_SETALARMSETPOINT_RESPONSES.fields_by_name['IndexPointing'].message_type = SiLAFramework__pb2._STRING
DESCRIPTOR.message_types_by_name['GetAlarmLimitMaximum_Parameters'] = _GETALARMLIMITMAXIMUM_PARAMETERS
DESCRIPTOR.message_types_by_name['GetAlarmLimitMaximum_Responses'] = _GETALARMLIMITMAXIMUM_RESPONSES
DESCRIPTOR.message_types_by_name['SetAlarmLimitMaximum_Parameters'] = _SETALARMLIMITMAXIMUM_PARAMETERS
DESCRIPTOR.message_types_by_name['SetAlarmLimitMaximum_Responses'] = _SETALARMLIMITMAXIMUM_RESPONSES
DESCRIPTOR.message_types_by_name['GetAlarmLimitMinimum_Parameters'] = _GETALARMLIMITMINIMUM_PARAMETERS
DESCRIPTOR.message_types_by_name['GetAlarmLimitMinimum_Responses'] = _GETALARMLIMITMINIMUM_RESPONSES
DESCRIPTOR.message_types_by_name['SetAlarmLimitMinimum_Parameters'] = _SETALARMLIMITMINIMUM_PARAMETERS
DESCRIPTOR.message_types_by_name['SetAlarmLimitMinimum_Responses'] = _SETALARMLIMITMINIMUM_RESPONSES
DESCRIPTOR.message_types_by_name['GetAlarmMode_Parameters'] = _GETALARMMODE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetAlarmMode_Responses'] = _GETALARMMODE_RESPONSES
DESCRIPTOR.message_types_by_name['SetAlarmMode_Parameters'] = _SETALARMMODE_PARAMETERS
DESCRIPTOR.message_types_by_name['SetAlarmMode_Responses'] = _SETALARMMODE_RESPONSES
DESCRIPTOR.message_types_by_name['GetAlarmOutputMode_Parameters'] = _GETALARMOUTPUTMODE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetAlarmOutputMode_Responses'] = _GETALARMOUTPUTMODE_RESPONSES
DESCRIPTOR.message_types_by_name['SetAlarmOutputMode_Parameters'] = _SETALARMOUTPUTMODE_PARAMETERS
DESCRIPTOR.message_types_by_name['SetAlarmOutputMode_Responses'] = _SETALARMOUTPUTMODE_RESPONSES
DESCRIPTOR.message_types_by_name['GetAlarmSetpoint_Parameters'] = _GETALARMSETPOINT_PARAMETERS
DESCRIPTOR.message_types_by_name['GetAlarmSetpoint_Responses'] = _GETALARMSETPOINT_RESPONSES
DESCRIPTOR.message_types_by_name['SetAlarmSetpoint_Parameters'] = _SETALARMSETPOINT_PARAMETERS
DESCRIPTOR.message_types_by_name['SetAlarmSetpoint_Responses'] = _SETALARMSETPOINT_RESPONSES
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

GetAlarmLimitMaximum_Parameters = _reflection.GeneratedProtocolMessageType('GetAlarmLimitMaximum_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMLIMITMAXIMUM_PARAMETERS,
  '__module__' : 'AlarmService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmLimitMaximum_Parameters)
  })
_sym_db.RegisterMessage(GetAlarmLimitMaximum_Parameters)

GetAlarmLimitMaximum_Responses = _reflection.GeneratedProtocolMessageType('GetAlarmLimitMaximum_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMLIMITMAXIMUM_RESPONSES,
  '__module__' : 'AlarmService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmLimitMaximum_Responses)
  })
_sym_db.RegisterMessage(GetAlarmLimitMaximum_Responses)

SetAlarmLimitMaximum_Parameters = _reflection.GeneratedProtocolMessageType('SetAlarmLimitMaximum_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMLIMITMAXIMUM_PARAMETERS,
  '__module__' : 'AlarmService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmLimitMaximum_Parameters)
  })
_sym_db.RegisterMessage(SetAlarmLimitMaximum_Parameters)

SetAlarmLimitMaximum_Responses = _reflection.GeneratedProtocolMessageType('SetAlarmLimitMaximum_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMLIMITMAXIMUM_RESPONSES,
  '__module__' : 'AlarmService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmLimitMaximum_Responses)
  })
_sym_db.RegisterMessage(SetAlarmLimitMaximum_Responses)

GetAlarmLimitMinimum_Parameters = _reflection.GeneratedProtocolMessageType('GetAlarmLimitMinimum_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMLIMITMINIMUM_PARAMETERS,
  '__module__' : 'AlarmService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmLimitMinimum_Parameters)
  })
_sym_db.RegisterMessage(GetAlarmLimitMinimum_Parameters)

GetAlarmLimitMinimum_Responses = _reflection.GeneratedProtocolMessageType('GetAlarmLimitMinimum_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMLIMITMINIMUM_RESPONSES,
  '__module__' : 'AlarmService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmLimitMinimum_Responses)
  })
_sym_db.RegisterMessage(GetAlarmLimitMinimum_Responses)

SetAlarmLimitMinimum_Parameters = _reflection.GeneratedProtocolMessageType('SetAlarmLimitMinimum_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMLIMITMINIMUM_PARAMETERS,
  '__module__' : 'AlarmService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmLimitMinimum_Parameters)
  })
_sym_db.RegisterMessage(SetAlarmLimitMinimum_Parameters)

SetAlarmLimitMinimum_Responses = _reflection.GeneratedProtocolMessageType('SetAlarmLimitMinimum_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMLIMITMINIMUM_RESPONSES,
  '__module__' : 'AlarmService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmLimitMinimum_Responses)
  })
_sym_db.RegisterMessage(SetAlarmLimitMinimum_Responses)

GetAlarmMode_Parameters = _reflection.GeneratedProtocolMessageType('GetAlarmMode_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMMODE_PARAMETERS,
  '__module__' : 'AlarmService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmMode_Parameters)
  })
_sym_db.RegisterMessage(GetAlarmMode_Parameters)

GetAlarmMode_Responses = _reflection.GeneratedProtocolMessageType('GetAlarmMode_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMMODE_RESPONSES,
  '__module__' : 'AlarmService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmMode_Responses)
  })
_sym_db.RegisterMessage(GetAlarmMode_Responses)

SetAlarmMode_Parameters = _reflection.GeneratedProtocolMessageType('SetAlarmMode_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMMODE_PARAMETERS,
  '__module__' : 'AlarmService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmMode_Parameters)
  })
_sym_db.RegisterMessage(SetAlarmMode_Parameters)

SetAlarmMode_Responses = _reflection.GeneratedProtocolMessageType('SetAlarmMode_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMMODE_RESPONSES,
  '__module__' : 'AlarmService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmMode_Responses)
  })
_sym_db.RegisterMessage(SetAlarmMode_Responses)

GetAlarmOutputMode_Parameters = _reflection.GeneratedProtocolMessageType('GetAlarmOutputMode_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMOUTPUTMODE_PARAMETERS,
  '__module__' : 'AlarmService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmOutputMode_Parameters)
  })
_sym_db.RegisterMessage(GetAlarmOutputMode_Parameters)

GetAlarmOutputMode_Responses = _reflection.GeneratedProtocolMessageType('GetAlarmOutputMode_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMOUTPUTMODE_RESPONSES,
  '__module__' : 'AlarmService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmOutputMode_Responses)
  })
_sym_db.RegisterMessage(GetAlarmOutputMode_Responses)

SetAlarmOutputMode_Parameters = _reflection.GeneratedProtocolMessageType('SetAlarmOutputMode_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMOUTPUTMODE_PARAMETERS,
  '__module__' : 'AlarmService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmOutputMode_Parameters)
  })
_sym_db.RegisterMessage(SetAlarmOutputMode_Parameters)

SetAlarmOutputMode_Responses = _reflection.GeneratedProtocolMessageType('SetAlarmOutputMode_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMOUTPUTMODE_RESPONSES,
  '__module__' : 'AlarmService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmOutputMode_Responses)
  })
_sym_db.RegisterMessage(SetAlarmOutputMode_Responses)

GetAlarmSetpoint_Parameters = _reflection.GeneratedProtocolMessageType('GetAlarmSetpoint_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMSETPOINT_PARAMETERS,
  '__module__' : 'AlarmService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmSetpoint_Parameters)
  })
_sym_db.RegisterMessage(GetAlarmSetpoint_Parameters)

GetAlarmSetpoint_Responses = _reflection.GeneratedProtocolMessageType('GetAlarmSetpoint_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETALARMSETPOINT_RESPONSES,
  '__module__' : 'AlarmService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.alarmservice.v1.GetAlarmSetpoint_Responses)
  })
_sym_db.RegisterMessage(GetAlarmSetpoint_Responses)

SetAlarmSetpoint_Parameters = _reflection.GeneratedProtocolMessageType('SetAlarmSetpoint_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMSETPOINT_PARAMETERS,
  '__module__' : 'AlarmService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmSetpoint_Parameters)
  })
_sym_db.RegisterMessage(SetAlarmSetpoint_Parameters)

SetAlarmSetpoint_Responses = _reflection.GeneratedProtocolMessageType('SetAlarmSetpoint_Responses', (_message.Message,), {
  'DESCRIPTOR' : _SETALARMSETPOINT_RESPONSES,
  '__module__' : 'AlarmService_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.alarmservice.v1.SetAlarmSetpoint_Responses)
  })
_sym_db.RegisterMessage(SetAlarmSetpoint_Responses)



_ALARMSERVICE = _descriptor.ServiceDescriptor(
  name='AlarmService',
  full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.AlarmService',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=1858,
  serialized_end=3668,
  methods=[
  _descriptor.MethodDescriptor(
    name='GetAlarmLimitMaximum',
    full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.AlarmService.GetAlarmLimitMaximum',
    index=0,
    containing_service=None,
    input_type=_GETALARMLIMITMAXIMUM_PARAMETERS,
    output_type=_GETALARMLIMITMAXIMUM_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetAlarmLimitMaximum',
    full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.AlarmService.SetAlarmLimitMaximum',
    index=1,
    containing_service=None,
    input_type=_SETALARMLIMITMAXIMUM_PARAMETERS,
    output_type=_SETALARMLIMITMAXIMUM_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetAlarmLimitMinimum',
    full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.AlarmService.GetAlarmLimitMinimum',
    index=2,
    containing_service=None,
    input_type=_GETALARMLIMITMINIMUM_PARAMETERS,
    output_type=_GETALARMLIMITMINIMUM_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetAlarmLimitMinimum',
    full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.AlarmService.SetAlarmLimitMinimum',
    index=3,
    containing_service=None,
    input_type=_SETALARMLIMITMINIMUM_PARAMETERS,
    output_type=_SETALARMLIMITMINIMUM_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetAlarmMode',
    full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.AlarmService.GetAlarmMode',
    index=4,
    containing_service=None,
    input_type=_GETALARMMODE_PARAMETERS,
    output_type=_GETALARMMODE_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetAlarmMode',
    full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.AlarmService.SetAlarmMode',
    index=5,
    containing_service=None,
    input_type=_SETALARMMODE_PARAMETERS,
    output_type=_SETALARMMODE_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetAlarmOutputMode',
    full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.AlarmService.GetAlarmOutputMode',
    index=6,
    containing_service=None,
    input_type=_GETALARMOUTPUTMODE_PARAMETERS,
    output_type=_GETALARMOUTPUTMODE_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetAlarmOutputMode',
    full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.AlarmService.SetAlarmOutputMode',
    index=7,
    containing_service=None,
    input_type=_SETALARMOUTPUTMODE_PARAMETERS,
    output_type=_SETALARMOUTPUTMODE_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetAlarmSetpoint',
    full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.AlarmService.GetAlarmSetpoint',
    index=8,
    containing_service=None,
    input_type=_GETALARMSETPOINT_PARAMETERS,
    output_type=_GETALARMSETPOINT_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SetAlarmSetpoint',
    full_name='sila2.biovt.mw.tum.de.examples.alarmservice.v1.AlarmService.SetAlarmSetpoint',
    index=9,
    containing_service=None,
    input_type=_SETALARMSETPOINT_PARAMETERS,
    output_type=_SETALARMSETPOINT_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_ALARMSERVICE)

DESCRIPTOR.services_by_name['AlarmService'] = _ALARMSERVICE

# @@protoc_insertion_point(module_scope)
